<?php

namespace Makecommerce\Ecommerce\Model;

use Magento\Framework\Model\AbstractExtensibleModel;
use Makecommerce\Ecommerce\Api\Data\PaymentMethodInterface;

class PaymentMethod extends AbstractExtensibleModel implements PaymentMethodInterface
{

    /**
     * {@inheritdoc}
     */
    public function getName()
    {
        return $this->getData(self::NAME);
    }

    /**
     * {@inheritdoc}
     */
    public function getCountry()
    {
        return $this->getData(self::COUNTRY);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl()
    {
        return $this->getData(self::URL);
    }

    /**
     * {@inheritdoc}
     */
    public function setName($name)
    {
        return $this->setData(self::NAME, $name);
    }

    /**
     * {@inheritdoc}
     */
    public function setCountry($countryCode = null)
    {
        return $this->setData(self::COUNTRY, $countryCode);
    }

    /**
     * {@inheritdoc}
     */
    public function setUrl($url = null)
    {
        return $this->setData(self::URL, $url);
    }
}
